# Ogre::EdgeData::Triangle Struct Reference

Basic triangle structure. More...

`#include <OgreEdgeListBuilder.h>`

List of all members.

## Public Attributes

size_t | indexSet
| The set of indexes this triangle came from (NB it is possible that the triangles on one side of an edge are using a different vertex buffer from those on the other side.).
size_t | vertexSet
| The vertex set these vertices came from.
size_t | vertIndex [3]
size_t | sharedVertIndex [3]
| Vertex indexes, relative to the original buffer.
Vector4 | normal
| Vertex indexes, relative to a shared vertex buffer with.
bool | lightFacing

## Detailed Description

Basic triangle structure.

Definition at line 46 of file OgreEdgeListBuilder.h.

## Member Data Documentation

size_t Ogre::EdgeData::Triangle::indexSet

| The set of indexes this triangle came from (NB it is possible that the triangles on one side of an edge are using a different vertex buffer from those on the other side.). Definition at line 49 of file OgreEdgeListBuilder.h.

bool Ogre::EdgeData::Triangle::lightFacing

| Definition at line 56 of file OgreEdgeListBuilder.h.

Vector4 Ogre::EdgeData::Triangle::normal

| Vertex indexes, relative to a shared vertex buffer with. Definition at line 55 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeData::Triangle::sharedVertIndex[3]

| Vertex indexes, relative to the original buffer. Definition at line 53 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeData::Triangle::vertexSet

| The vertex set these vertices came from. Definition at line 51 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeData::Triangle::vertIndex[3]

| Definition at line 52 of file OgreEdgeListBuilder.h.

The documentation for this struct was generated from the following file:

- OgreEdgeListBuilder.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:00:21 2006